Subject: bug#25928: [PATCH] gnu: Add darktable.

From: Roel Janssen <[email-masked]>
Date: Wed, 08 Mar 2017 20:01:07 +0100

Leo Famulari writes:

> On Thu, Mar 02, 2017 at 01:04:33AM +0100, Roel Janssen wrote:
>> Subject: [PATCH] gnu: Add darktable.
>> 
>> * gnu/packages/photo.scm (darktable): New variable.
>
> Cool!
>
>> ---
>>  gnu/packages/photo.scm | 81 ++++++++++++++++++++++++++++++++++++++++++++++++++
>>  1 file changed, 81 insertions(+)
>> 
>> diff --git a/gnu/packages/photo.scm b/gnu/packages/photo.scm
>> index ce71d2a44..42da06080 100644
>> --- a/gnu/packages/photo.scm
>> +++ b/gnu/packages/photo.scm
>> @@ -31,17 +31,23 @@
>>    #:use-module (gnu packages base)
>>    #:use-module (gnu packages boost)
>>    #:use-module (gnu packages compression)
>> +  #:use-module (gnu packages curl)
>> +  #:use-module (gnu packages databases)
>>    #:use-module (gnu packages ghostscript)
>>    #:use-module (gnu packages gl)
>
> It's missing the (gnu packages glib) module, for dbus-glib.

Yes, the glib module is in another patch I which is a prerequisite for
Darktable.

>> +       ("fop" ,fop)
>
> And I can't test it further, because this package is missing.

I sent a separate patch for fop.

> Also, the patch as sent doesn't apply correctly with `git am`. I
> recommend attaching the patch if you are using the debbugs guix-patches.

Right.  I messed up the patch creation I guess.  I'll do better in the
future.

Kind regards,
Roel Janssen